﻿using WordPressPCL;
using WordPressPCL.Models;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    private async static Task Main()
    {
        string baseURL             = "https://somebody_wordpress.com/wp-json/";
        string userID              = "사용자ID";
        string applicationPassword = "애플리케이션 패스워드";

        WordPressClient client = new WordPressClient(baseURL);

        client.Auth.UseBasicAuth(userID, applicationPassword);

        try
        {
            int  postID  = 310;
            bool useAuth = true;

            Post post = await client.Posts.GetByIDAsync(postID, false, useAuth);

            if(post != null)
            {
                post.Title   = new Title("수정한 포스트 제목");
                post.Content = new Content("<b>수정한 포스트 내용</b>");

                Post postUpdated = await client.Posts.UpdateAsync(post);

                Console.WriteLine($"포스트가 성공적으로 수정되었습니다.");
            }
            else
            {
                Console.WriteLine("수정할 포스트가 없습니다.");
            }
        }
        catch(Exception exception)
        {
            Console.WriteLine($"에러가 발생했습니다 : {exception.Message}");
        }
    }

    #endregion
}